<p-dataScroller *ngIf="repositories.length"
                [value]="repositories"
                [rows]="10"
                [inline]="true"
                scrollHeight="500px">
  <p-header>
    <div class="col-12 col-md-4">
      <h5>Filter by programming language</h5>
      <select class="custom-select"
              (change)="langSelected($event.target.value)">
        <option value="all">All</option>
        <option *ngFor="let lang of languages"
                [value]="lang">{{lang}}
        </option>
      </select>
    </div>
  </p-header>
  <ng-template class="list-group list-group-flush" let-repo pTemplate="item">
    <a routerLink="repository/{{repo.id}}"
       class="list-group-item list-group-item-action">
      <h4>{{repo.name}}</h4>
      <p>{{repo.description || 'Description not found.'}}</p>
    </a>
  </ng-template>
</p-dataScroller>
<div *ngIf="!repositories.length"
     class="alert alert-danger"
     role="alert">
  No data found!
</div>
